---
openapi: 3.0.0
info:
  title: Creator
  version: '2.1'
servers:
- url: https://wappsto.com/services/2.1
  description: Server to connect to the API
components:
  schemas:
    Deletelist:
      title: Deletelist
      type: object
      properties:
        deleted:
          type: array
          items:
            type: string
          description: List of deleted objects
        child_deleted:
          type: array
          items:
            type: string
          description: List of deleted children object related to the chosen objects
            to delete
        shared_deleted:
          type: array
          items:
            type: string
          description: List of removed objects previosly shared and accepted by the
            user
        shared_child_deleted:
          type: array
          items:
            type: string
          description: List of removed children objects previosly shared and accepted
            by the user related to the chosen objects to delete
        not_deleted:
          type: array
          items:
            type: string
          description: List of not deleted objects
        child_not_deleted:
          type: array
          items:
            type: string
          description: List of not deleted children object related to the chosen objects
            to delete
        shared_not_deleted:
          type: array
          items:
            type: string
          description: List of not removed objects previosly shared and accepted by
            the user
        shared_child_not_deleted:
          type: array
          items:
            type: string
          description: List of not removed children objects previosly shared and accepted
            by the user related to the chosen objects to delete
        pending:
          type: array
          items:
            type: string
          description: List of objects that will be deleted eventually
        child_pending:
          type: array
          items:
            type: string
          description: List of children objects that will be deleted eventually
        owned_not_deleted_because_it_has_parent:
          type: array
          items:
            type: string
          description: List of owned object not deleted since they have a parent
        shared_not_deleted_because_it_has_parent:
          type: array
          items:
            type: string
          description: List of shared object not deleted since they have a parent
        code:
          type: integer
          description: Code of the deletion
        message:
          type: string
          description: Final status of the deletion
        error:
          type: string
          description: Possible incurred errors
        meta:
          type: object
          description: Meta data of the object
        unsuccessful:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              message:
                type: string
              data:
                type: object
          description: An array that includes a more deep description about the reason
            of unsuccessful deletions
      additionalProperties: false
      description: Output obtained when one or multiple objects are deleted with a
        DELETE request
    Httpresponse:
      title: Httpresponse
      type: object
      properties:
        message:
          type: string
          description: Message of the error
        data:
          type: object
          description: More information about the error
        code:
          type: integer
          description: Identifier code of the error
        service:
          type: string
          description: Service that sent the error
        meta:
          type: object
          description: Meta data of the object
      additionalProperties: false
      description: Output obtain when a fast communication is returned (usually an
        error)
    Idlist:
      title: Idlist
      type: object
      properties:
        id:
          items:
            type: string
            pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
          type: array
          description: Ids found
        more:
          type: boolean
          description: If true, it means that using offset it is possible to retrieve
            other values
        limit:
          type: integer
          multipleOf: 1
          minimum: 1
          description: Limit used to retrieve the ids
        count:
          type: integer
          multipleOf: 1
          minimum: 0
          description: Number of ids returned
        data:
          type: object
          description: Further information in relation of the service
        child:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
              version:
                type: string
                pattern: "(\\d+)\\.(\\d+)"
          description: It is an array that gives a brief description of the type and
            the version of the retrieved objects
        meta:
          type: object
      additionalProperties: false
      description: Output obtain when a list is returned
    Fetch:
      title: Fetch
      type: object
      properties:
        filter:
          type: object
        return:
          type: string
          description: A graphQL string that describes the format it needs to be returned
        table:
          type: boolean
          description: If true, use iot table to fetch the data
        data:
          type: object
          description: The output obtained after filtering and parsing the results
            with the GraphQL request
        meta:
          type: object
          description: Meta data of the object
      additionalProperties: false
      description: Output obtained when the input is a fetch request
    Creator:
      title: Creator
      type: object
      properties:
        ca:
          type: string
          description: Certificate authority connected with the created network
          example: |
            -----BEGIN CERTIFICATE-----
            MIIEtTCCA52gAwIBAgIJAOJZd1kVNnbyMA0GCSqGSIb3DQEBCwUAMIGXMQswCQYD
            VQQGEwJESzELMAkGA1UECBMCTkoxEDAOBgNVBAcTB0FhbGJvcmcxEDAOBgNVBAoT
            B1NlbHV4aXQxEDAOBgNVBAsTB1NlbHV4aXQxEjAQBgNVBAMTCXEtd290LmNvbTEQ
            MA4GA1UEKRMHRWFzeVJTQTEfMB0GCSqGSIb3DQEJARYQY2VydEBzZWx1eGl0LmNv
            bTAgFw0xNjEwMjAwODE0MzlaGA8yMTE2MDkyNjA4MTQzOVowgZcxCzAJBgNVBAYT
            AkRLMQswCQYDVQQIEwJOSjEQMA4GA1UEBxMHQWFsYm9yZzEQMA4GA1UEChMHU2Vs
            dXhpdDEQMA4GA1UECxMHU2VsdXhpdDESMBAGA1UEAxMJcS13b3QuY29tMRAwDgYD
            VQQpEwdFYXN5UlNBMR8wHQYJKoZIhvcNAQkBFhBjZXJ0QHNlbHV4aXQuY29tMIIB
            IjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAmN9Y+2gwX+zVfxE6sinwd/KT
            /B634worwDVogkrzbIS3J4lXj19rrzCM+vw5oo1e/MYOZ5HMpiHGdvVzyy2CVWk5
            qvjxoof6hxk+Ies96xTR8eODlKy2ZMwFTrV6PikIbSE/0QhMrZ6EhP4Ism6ME5do
            XnLHgjWxufdEm2okNSM2Bhc4xSrI3ma1XQVRN/aR7JTLzctojSF4iIVhmDNtwqE+
            vWbLgVLHSvyKJ8FRy4YZ28vmAVus3Yxuj9OadMvMktS5qfHU0CqA8+CCkhI15MCi
            iw+rqMRHkLr5R4Cu0rt5pHHhsiMgAmS0aqeJLmVq8xoQRWtsFnYwK+r0JtGFEwID
            AQABo4H/MIH8MB0GA1UdDgQWBBSrMEUGTyBPwuV1HCalSP2QYBrQSDCBzAYDVR0j
            BIHEMIHBgBSrMEUGTyBPwuV1HCalSP2QYBrQSKGBnaSBmjCBlzELMAkGA1UEBhMC
            REsxCzAJBgNVBAgTAk5KMRAwDgYDVQQHEwdBYWxib3JnMRAwDgYDVQQKEwdTZWx1
            eGl0MRAwDgYDVQQLEwdTZWx1eGl0MRIwEAYDVQQDEwlxLXdvdC5jb20xEDAOBgNV
            BCkTB0Vhc3lSU0ExHzAdBgkqhkiG9w0BCQEWEGNlcnRAc2VsdXhpdC5jb22CCQDi
            WXdZFTZ28jAMBgNVHRMEBTADAQH/MA0GCSqGSIb3DQEBCwUAA4IBAQASJIPAGsTI
            zIMJaWNjuxz8ZteBVMSRGuKJ4nVVxADckEL3auIC6hTuky8h+piiBzRFTK7DIhOr
            NKz9j7SoSOsjslj1o1nrrrcaDM+gC7+k7I3C3EPNPUg+/hw6HLyPJJjF+piztF7d
            mjfn3oO9q+9z6hH023dL9NCLAabkg4oSGZ0wtSUwZNL5UngnpfeO6r1NryBMhhGN
            c3TyiAkNm5qAJvgbeLc2a/oenGQQMOwAYWb/G32LtzRDp8PBrBUnFsvvhm7JEJID
            Aw3PhGXk4756uDV0cZkZYRa63LiwDkxUdmDZlKPCVBBvSt9OiQTLDESDqi2Zdw+t
            gX6HCbPlTHrg
            -----END CERTIFICATE-----
        certificate:
          type: string
          description: Certificate connected with the created network
          example: |
            -----BEGIN CERTIFICATE-----
            MIIDsTCCApmgAwIBAgIJCfEmfwqvxhWqMA0GCSqGSIb3DQEBCwUAMIGXMQswCQYD
            VQQGEwJESzELMAkGA1UECBMCTkoxEDAOBgNVBAcTB0FhbGJvcmcxEDAOBgNVBAoT
            B1NlbHV4aXQxEDAOBgNVBAsTB1NlbHV4aXQxEjAQBgNVBAMTCXEtd290LmNvbTEQ
            MA4GA1UEKRMHRWFzeVJTQTEfMB0GCSqGSIb3DQEJARYQY2VydEBzZWx1eGl0LmNv
            bTAeFw0yMTAzMjMxMTQwNDJaFw0yNDAzMjMxMTQwNDJaMGUxLTArBgNVBAMMJGU5
            ZTZhMjZiLWQ3MzItNDEzMi04OTNmLTM5MzVmYWRkMzQ0YjE0MDIGCgmSJomT8ixk
            AQEMJGEyZjBjYzNiLTYyZjYtNDc1ZS1iNDc5LWI3YjZhYTg3ZmE3NTCCASIwDQYJ
            KoZIhvcNAQEBBQADggEPADCCAQoCggEBAKKGFddz4d8YoqsfjGi5F2+66Yrddmi/
            OC59HvsSXIvRITqTTJP4qptzaILEVFBvwTtBqJ9NByxykU7xUAaHKj7wXLSdIQ5G
            bA99NWaoosmhiTy+HGZ3Y91aF+qFmZrXtyi8m6lTGSgMmXXzRH08qlJCohHt5+Lh
            wOFWFz4NsjI+MZRs8u7SyWORzidCoBUTOLACXlSJzvit0qjui35CrQJ1NgW+Ps11
            W9qSpuzWQoPL1qBw7qjrg+lZso9WboM825fA0O9QP20kHIbKiTKwPf/dc8MWwpZa
            /vRnGNYfEUepBQC5g0WDaQEVXaDZ+8cYHO1ePZ1xtVtsBWqqYUWugKcCAwEAAaMx
            MC8wDgYDVR0PAQH/BAQDAgeAMB0GA1UdDgQWBBTBwr+hQDEhWiZrTHrAOoAVn5GA
            8DANBgkqhkiG9w0BAQsFAAOCAQEAQ8mIFHrfBYbOwUNpxjlYuB/t5QlamE7wyIF1
            9rkIMgjFOSuAnmzrMjAStB4RON/O0xDnBIAFAafuEPT5NeWsGHM0A9NG6MC/XQll
            B4hkPd2o+x5uFmAsn5aKCpjsAm4YRYu8XIuLQNP8aqfqnwjl100d2P5iwSEnbPW+
            LM+OhuZDr6P7fj5g7gm4mCbOgIeF/aGtE4wqplcZHJCsAua+N7/VBJDycM/z9HsR
            rXHnGQhcql7KZ7G0rIDT8WJ27Ec5Gr4cts5c5GIDKOQLa4x5r/u41nexfe0jixtT
            CFKL2fuuAlBNad6JK9r9rt8kCb/qJrSrEHmlLX9UO7da6qEz/Q==
            -----END CERTIFICATE-----
        private_key:
          type: string
          description: Private key connected with the created network
          example: |
            -----BEGIN RSA PRIVATE KEY-----
            MIIEowIBAAKCAQEAooYV13Ph3xiiqx+MaLkXb7rpit12aL84Ln0e+xJci9EhOpNM
            k/iqm3NogsRUUG/BO0Gon00HLHKRTvFQBocqPvBctJ0hDkZsD301ZqiiyaGJPL4c
            Zndj3VoX6oWZmte3KLybqVMZKAyZdfNEfTyqUkKiEe3n4uHA4VYXPg2yMj4xlGzy
            7tLJY5HOJ0KgFRM4sAJeVInO+K3SqO6LfkKtAnU2Bb4+zXVb2pKm7NZCg8vWoHDu
            qOuD6Vmyj1Zugzzbl8DQ71A/bSQchsqJMrA9/91zwxbCllr+9GcY1h8RR6kFALmD
            RYNpARVdoNn7xxgc7V49nXG1W2wFaqphRa6ApwIDAQABAoIBAA+fjCH2BdSIbbq9
            gaXfhR08fo7W0zcmiqQNaxj/nt3h8KvM1SO0V9Ixue44KVLCK3Uizq7hnLrtGILa
            N7Mo8yqxuHe0UyUoJ+MlSijgNSXk3Wh1bg17lKIGsx3cUfPMoNLNrrkMP/LVozrv
            c7oGRuk5dpL6p7vrr7r5p6pTbrndkWYkZuScbGGrgR7sNxCqgoiFK58TGyixnHcs
            TCC8Ru8dSOjNDz17QoTY/7U+nvdF9SWmy72AHFtT1LkHNMsyNtjFqglJhZHK0Ojm
            8AJL4kw7rCXabMEl1M6gNTeRXfvHYaVZEqkCV2eomO7bR1B71xnBNerKBrI4n32i
            cAQJOgECgYEA2DE1ugYWfLcwadv3B4yX2gULpl2yAhRY1Yr8Kov3wUCaVAYDZkbs
            oEaZp0TJbfyU1nGPuYqHf1l+hhNfTZhWTSMPneP45tOufj7RX//iZEgPUHXw0ksC
            hZJHsLr3I9JGmVV4d1mHEw2iSb5oIQkFrnn4ifzIkwvsu3HaiVsGxOcCgYEAwHMS
            SKJiNlIDVJd43RbNfCB98iS7GkTZaVYnjr2dBFNRsscWB2Vv3TgoRm69080RwxWG
            nchALwHzjXxLFmrcEid3DwDLSIkwl3dHTjUVgZ3hoI61rih1AG9o4YhHEniUbMbw
            GfppOHM0o23lK18u5I1kFvB4T8/EyU+xOAojLkECgYAr3E/6HaISS1gXIflMHsnw
            AXYLmpaytU4QhNIED8GEA4dL5Kxr45e+LJSfyuTS25uWphNyoRg8TfvNV8DODUn0
            /Ff+wHGO4wNTuYrg3xkfHz98I3FoOK+aScMhp8zcB50rHpwCGre8tddm/qpBiYMN
            ktFJrW9D5fdxT/f2RfFpoQKBgQCMg7hm1kGVXd5Wpl42N08DgYnUAiOms3x2n9Q0
            MZfyr48oVJpt/g9mW3l0q6joe4OriA0JKUxLxkX5GTaOAKn8i1ov1ymWJa0X+pxS
            qwmv4QH7xBc9OQbssWvHuEQEZYwhvENVBHRNJjjZ1wSL3WyUrfPVl/CQfag2QHyp
            6ST0wQKBgGZavLMVJUf5szsBJoK444xS2nESECH/8PvwUSZy0GJgOqhDg/JhsMfq
            NtuHIYzh5oL4G1nsCR5eNvQU6ok+oiwy7H0N8sQQZc4DbxlcZXURH4Z1wdTwKc++
            S9mLBd/I9h8LLUmXb8R+sksPYvekp1b/xf74PdjkCKRNTm+uC650
            -----END RSA PRIVATE KEY-----
        network:
          type: object
          properties:
            id:
              anyOf:
              - type: array
                items:
                  type: string
                  pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
                minItems: 1
              - type: string
                pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
            status:
              type: string
              enum:
              - pending
              - created
              - accepted
          description: List of network to be assigned, or id of the given network
          example:
            id: e9e6a26b-d732-4132-893f-3935fadd344b
            status: pending
        quantity:
          type: integer
          minimum: 1
          description: Number of creators that needs to be created
        manufacturer_as_owner:
          type: boolean
          description: If true, the manufacturer of the object can behave as it was
            the owner
          example: false
        factory_reset:
          type: object
          properties:
            reset_manufacturer:
              type: boolean
            reset_owner:
              type: boolean
          additionalProperties: false
          description: Options used when the iot network is factory reset
          example:
            reset_manufacturer: false
            reset_owner: true
        test_mode:
          type: boolean
          description: If true, run the network in test mode (no stream, no historical)
          example: false
        bound:
          type: boolean
          description: If true, the creator is strictly bounded to a network and it
            cannot be deleted
          example: false
        product:
          type: string
          description: Type of product connected with the creator_id
          example: Test-Hardware
        meta:
          type: object
          description: Meta data of the object
          example:
            id: a2f0cc3b-62f6-475e-b479-b7b6aa87fa75
            type: creator
            version: '2.1'
      additionalProperties: false
      description: Creator service permits to create tests networks (with devices,
        values and states). Together with a new network, certificates to authenticate  the
        network are provided
    Prototype:
      title: Creator
      type: object
      properties:
        creator_id:
          type: string
          pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
        model_id:
          type: string
          pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
        prototype_id:
          type: string
          pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
        name:
          type: string
          description: Name of the prototype
          example: First Prototype
        model:
          type: object
          description: Built model used by the prototype
        driver:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
              config:
                type: object
                properties: {}
              mapping:
                type: object
                properties: {}
            required:
            - type
            - mapping
            additionalProperties: false
          description: Used driver
        deploy:
          type: boolean
          description: If true, the prototype will be deployed during its building
        built:
          type: boolean
          description: If true, the propotype will be built
        meta:
          type: object
          description: Meta data of the object
          example:
            id: 0f7a13f3-7f57-41a3-9112-b20f9547a2fb
            type: prototype
            version: '2.1'
      additionalProperties: false
      description: Prototype service permits to obtain some test code to use with
        your prototype
  parameters:
    url_id:
      name: :id
      in: path
      required: true
      description: Id of the given object
      schema:
        type: string
        pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
    url_hex:
      name: :token
      in: path
      required: true
      description: Token used for some operation
      schema:
        type: string
        pattern: "^[0-9a-fA-F]{64}$"
tags:
- name: Creator
  description: Creator service permits to create tests networks (with devices, values
    and states). Together with a new network, certificates to authenticate  the network
    are provided
- name: Prototype
  description: Prototype service permits to obtain some test code to use with your
    prototype
paths:
  "/creator":
    post:
      tags:
      - Creator
      summary: Fetch request of creator
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Creator"
            example:
              filter:
                id:
                - a2f0cc3b-62f6-475e-b479-b7b6aa87fa75
                - 5ede6a31-b628-4eec-aea8-8a49a3b6ce4e
              return: "{ creator {meta {id}}}"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Fetch"
              example:
                meta:
                  type: fetch
                  version: '2.0'
                data:
                  creator:
                  - meta:
                      id: a2f0cc3b-62f6-475e-b479-b7b6aa87fa75
                  - meta:
                      id: 5ede6a31-b628-4eec-aea8-8a49a3b6ce4e
    get:
      tags:
      - Creator
      summary: Retrieve list of creator
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Idlist"
              example:
                child:
                - type: creator
                  version: '2.1'
                id:
                - a2f0cc3b-62f6-475e-b479-b7b6aa87fa75
                - 5ede6a31-b628-4eec-aea8-8a49a3b6ce4e
                - 23c5537c-5432-4f11-9d72-e5992059c00a
                - 96774921-20e3-4f52-95bc-0a5363cb1453
                - f85bce3f-9fc2-4e7c-8723-da8d4484bbd6
                - 6f0b1b6a-b8ee-444f-aa86-188d7740f2eb
                - bf112df9-1d45-4870-9a69-965a9f03d8d6
                - 0fe9fdcc-888f-4312-9894-2861b64e5d73
                more: false
                limit: 1000
                count: 8
                meta:
                  type: idlist
                  version: '2.1'
    head:
      tags:
      - Creator
      summary: Check if list of creator is retrievable
      parameters: []
      responses:
        '200':
          description: OK
    delete:
      tags:
      - Creator
      summary: Delete all creator
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Deletelist"
              example:
                deleted:
                - 5ede6a31-b628-4eec-aea8-8a49a3b6ce4e
                - 23c5537c-5432-4f11-9d72-e5992059c00a
                - 96774921-20e3-4f52-95bc-0a5363cb1453
                - f85bce3f-9fc2-4e7c-8723-da8d4484bbd6
                - 6f0b1b6a-b8ee-444f-aa86-188d7740f2eb
                - bf112df9-1d45-4870-9a69-965a9f03d8d6
                - 0fe9fdcc-888f-4312-9894-2861b64e5d73
                code: 105000004
                message: Cleared
                internal_code: documentstore_cleared
                meta:
                  type: deletelist
                  version: '2.1'
  "/creator/:id":
    get:
      tags:
      - Creator
      summary: Retrieve creator by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Creator"
              example:
                ca: |
                  -----BEGIN CERTIFICATE-----
                  MIIEtTCCA52gAwIBAgIJAOJZd1kVNnbyMA0GCSqGSIb3DQEBCwUAMIGXMQswCQYD
                  VQQGEwJESzELMAkGA1UECBMCTkoxEDAOBgNVBAcTB0FhbGJvcmcxEDAOBgNVBAoT
                  B1NlbHV4aXQxEDAOBgNVBAsTB1NlbHV4aXQxEjAQBgNVBAMTCXEtd290LmNvbTEQ
                  MA4GA1UEKRMHRWFzeVJTQTEfMB0GCSqGSIb3DQEJARYQY2VydEBzZWx1eGl0LmNv
                  bTAgFw0xNjEwMjAwODE0MzlaGA8yMTE2MDkyNjA4MTQzOVowgZcxCzAJBgNVBAYT
                  AkRLMQswCQYDVQQIEwJOSjEQMA4GA1UEBxMHQWFsYm9yZzEQMA4GA1UEChMHU2Vs
                  dXhpdDEQMA4GA1UECxMHU2VsdXhpdDESMBAGA1UEAxMJcS13b3QuY29tMRAwDgYD
                  VQQpEwdFYXN5UlNBMR8wHQYJKoZIhvcNAQkBFhBjZXJ0QHNlbHV4aXQuY29tMIIB
                  IjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAmN9Y+2gwX+zVfxE6sinwd/KT
                  /B634worwDVogkrzbIS3J4lXj19rrzCM+vw5oo1e/MYOZ5HMpiHGdvVzyy2CVWk5
                  qvjxoof6hxk+Ies96xTR8eODlKy2ZMwFTrV6PikIbSE/0QhMrZ6EhP4Ism6ME5do
                  XnLHgjWxufdEm2okNSM2Bhc4xSrI3ma1XQVRN/aR7JTLzctojSF4iIVhmDNtwqE+
                  vWbLgVLHSvyKJ8FRy4YZ28vmAVus3Yxuj9OadMvMktS5qfHU0CqA8+CCkhI15MCi
                  iw+rqMRHkLr5R4Cu0rt5pHHhsiMgAmS0aqeJLmVq8xoQRWtsFnYwK+r0JtGFEwID
                  AQABo4H/MIH8MB0GA1UdDgQWBBSrMEUGTyBPwuV1HCalSP2QYBrQSDCBzAYDVR0j
                  BIHEMIHBgBSrMEUGTyBPwuV1HCalSP2QYBrQSKGBnaSBmjCBlzELMAkGA1UEBhMC
                  REsxCzAJBgNVBAgTAk5KMRAwDgYDVQQHEwdBYWxib3JnMRAwDgYDVQQKEwdTZWx1
                  eGl0MRAwDgYDVQQLEwdTZWx1eGl0MRIwEAYDVQQDEwlxLXdvdC5jb20xEDAOBgNV
                  BCkTB0Vhc3lSU0ExHzAdBgkqhkiG9w0BCQEWEGNlcnRAc2VsdXhpdC5jb22CCQDi
                  WXdZFTZ28jAMBgNVHRMEBTADAQH/MA0GCSqGSIb3DQEBCwUAA4IBAQASJIPAGsTI
                  zIMJaWNjuxz8ZteBVMSRGuKJ4nVVxADckEL3auIC6hTuky8h+piiBzRFTK7DIhOr
                  NKz9j7SoSOsjslj1o1nrrrcaDM+gC7+k7I3C3EPNPUg+/hw6HLyPJJjF+piztF7d
                  mjfn3oO9q+9z6hH023dL9NCLAabkg4oSGZ0wtSUwZNL5UngnpfeO6r1NryBMhhGN
                  c3TyiAkNm5qAJvgbeLc2a/oenGQQMOwAYWb/G32LtzRDp8PBrBUnFsvvhm7JEJID
                  Aw3PhGXk4756uDV0cZkZYRa63LiwDkxUdmDZlKPCVBBvSt9OiQTLDESDqi2Zdw+t
                  gX6HCbPlTHrg
                  -----END CERTIFICATE-----
                certificate: |
                  -----BEGIN CERTIFICATE-----
                  MIIDsTCCApmgAwIBAgIJCfEmfwqvxhWqMA0GCSqGSIb3DQEBCwUAMIGXMQswCQYD
                  VQQGEwJESzELMAkGA1UECBMCTkoxEDAOBgNVBAcTB0FhbGJvcmcxEDAOBgNVBAoT
                  B1NlbHV4aXQxEDAOBgNVBAsTB1NlbHV4aXQxEjAQBgNVBAMTCXEtd290LmNvbTEQ
                  MA4GA1UEKRMHRWFzeVJTQTEfMB0GCSqGSIb3DQEJARYQY2VydEBzZWx1eGl0LmNv
                  bTAeFw0yMTAzMjMxMTQwNDJaFw0yNDAzMjMxMTQwNDJaMGUxLTArBgNVBAMMJGU5
                  ZTZhMjZiLWQ3MzItNDEzMi04OTNmLTM5MzVmYWRkMzQ0YjE0MDIGCgmSJomT8ixk
                  AQEMJGEyZjBjYzNiLTYyZjYtNDc1ZS1iNDc5LWI3YjZhYTg3ZmE3NTCCASIwDQYJ
                  KoZIhvcNAQEBBQADggEPADCCAQoCggEBAKKGFddz4d8YoqsfjGi5F2+66Yrddmi/
                  OC59HvsSXIvRITqTTJP4qptzaILEVFBvwTtBqJ9NByxykU7xUAaHKj7wXLSdIQ5G
                  bA99NWaoosmhiTy+HGZ3Y91aF+qFmZrXtyi8m6lTGSgMmXXzRH08qlJCohHt5+Lh
                  wOFWFz4NsjI+MZRs8u7SyWORzidCoBUTOLACXlSJzvit0qjui35CrQJ1NgW+Ps11
                  W9qSpuzWQoPL1qBw7qjrg+lZso9WboM825fA0O9QP20kHIbKiTKwPf/dc8MWwpZa
                  /vRnGNYfEUepBQC5g0WDaQEVXaDZ+8cYHO1ePZ1xtVtsBWqqYUWugKcCAwEAAaMx
                  MC8wDgYDVR0PAQH/BAQDAgeAMB0GA1UdDgQWBBTBwr+hQDEhWiZrTHrAOoAVn5GA
                  8DANBgkqhkiG9w0BAQsFAAOCAQEAQ8mIFHrfBYbOwUNpxjlYuB/t5QlamE7wyIF1
                  9rkIMgjFOSuAnmzrMjAStB4RON/O0xDnBIAFAafuEPT5NeWsGHM0A9NG6MC/XQll
                  B4hkPd2o+x5uFmAsn5aKCpjsAm4YRYu8XIuLQNP8aqfqnwjl100d2P5iwSEnbPW+
                  LM+OhuZDr6P7fj5g7gm4mCbOgIeF/aGtE4wqplcZHJCsAua+N7/VBJDycM/z9HsR
                  rXHnGQhcql7KZ7G0rIDT8WJ27Ec5Gr4cts5c5GIDKOQLa4x5r/u41nexfe0jixtT
                  CFKL2fuuAlBNad6JK9r9rt8kCb/qJrSrEHmlLX9UO7da6qEz/Q==
                  -----END CERTIFICATE-----
                private_key: |
                  -----BEGIN RSA PRIVATE KEY-----
                  MIIEowIBAAKCAQEAooYV13Ph3xiiqx+MaLkXb7rpit12aL84Ln0e+xJci9EhOpNM
                  k/iqm3NogsRUUG/BO0Gon00HLHKRTvFQBocqPvBctJ0hDkZsD301ZqiiyaGJPL4c
                  Zndj3VoX6oWZmte3KLybqVMZKAyZdfNEfTyqUkKiEe3n4uHA4VYXPg2yMj4xlGzy
                  7tLJY5HOJ0KgFRM4sAJeVInO+K3SqO6LfkKtAnU2Bb4+zXVb2pKm7NZCg8vWoHDu
                  qOuD6Vmyj1Zugzzbl8DQ71A/bSQchsqJMrA9/91zwxbCllr+9GcY1h8RR6kFALmD
                  RYNpARVdoNn7xxgc7V49nXG1W2wFaqphRa6ApwIDAQABAoIBAA+fjCH2BdSIbbq9
                  gaXfhR08fo7W0zcmiqQNaxj/nt3h8KvM1SO0V9Ixue44KVLCK3Uizq7hnLrtGILa
                  N7Mo8yqxuHe0UyUoJ+MlSijgNSXk3Wh1bg17lKIGsx3cUfPMoNLNrrkMP/LVozrv
                  c7oGRuk5dpL6p7vrr7r5p6pTbrndkWYkZuScbGGrgR7sNxCqgoiFK58TGyixnHcs
                  TCC8Ru8dSOjNDz17QoTY/7U+nvdF9SWmy72AHFtT1LkHNMsyNtjFqglJhZHK0Ojm
                  8AJL4kw7rCXabMEl1M6gNTeRXfvHYaVZEqkCV2eomO7bR1B71xnBNerKBrI4n32i
                  cAQJOgECgYEA2DE1ugYWfLcwadv3B4yX2gULpl2yAhRY1Yr8Kov3wUCaVAYDZkbs
                  oEaZp0TJbfyU1nGPuYqHf1l+hhNfTZhWTSMPneP45tOufj7RX//iZEgPUHXw0ksC
                  hZJHsLr3I9JGmVV4d1mHEw2iSb5oIQkFrnn4ifzIkwvsu3HaiVsGxOcCgYEAwHMS
                  SKJiNlIDVJd43RbNfCB98iS7GkTZaVYnjr2dBFNRsscWB2Vv3TgoRm69080RwxWG
                  nchALwHzjXxLFmrcEid3DwDLSIkwl3dHTjUVgZ3hoI61rih1AG9o4YhHEniUbMbw
                  GfppOHM0o23lK18u5I1kFvB4T8/EyU+xOAojLkECgYAr3E/6HaISS1gXIflMHsnw
                  AXYLmpaytU4QhNIED8GEA4dL5Kxr45e+LJSfyuTS25uWphNyoRg8TfvNV8DODUn0
                  /Ff+wHGO4wNTuYrg3xkfHz98I3FoOK+aScMhp8zcB50rHpwCGre8tddm/qpBiYMN
                  ktFJrW9D5fdxT/f2RfFpoQKBgQCMg7hm1kGVXd5Wpl42N08DgYnUAiOms3x2n9Q0
                  MZfyr48oVJpt/g9mW3l0q6joe4OriA0JKUxLxkX5GTaOAKn8i1ov1ymWJa0X+pxS
                  qwmv4QH7xBc9OQbssWvHuEQEZYwhvENVBHRNJjjZ1wSL3WyUrfPVl/CQfag2QHyp
                  6ST0wQKBgGZavLMVJUf5szsBJoK444xS2nESECH/8PvwUSZy0GJgOqhDg/JhsMfq
                  NtuHIYzh5oL4G1nsCR5eNvQU6ok+oiwy7H0N8sQQZc4DbxlcZXURH4Z1wdTwKc++
                  S9mLBd/I9h8LLUmXb8R+sksPYvekp1b/xf74PdjkCKRNTm+uC650
                  -----END RSA PRIVATE KEY-----
                network:
                  id: e9e6a26b-d732-4132-893f-3935fadd344b
                  status: pending
                manufacturer_as_owner: false
                factory_reset:
                  reset_manufacturer: false
                  reset_owner: true
                test_mode: false
                bound: false
                meta:
                  id: a2f0cc3b-62f6-475e-b479-b7b6aa87fa75
                  type: creator
                  version: '2.1'
    head:
      tags:
      - Creator
      summary: Check if creator by ID is retrievable
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
    post:
      tags:
      - Creator
      summary: Accept shared creator
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Creator"
            example: {}
      responses:
        '201':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Creator"
              example:
                ca: |
                  -----BEGIN CERTIFICATE-----
                  MIIEtTCCA52gAwIBAgIJAOJZd1kVNnbyMA0GCSqGSIb3DQEBCwUAMIGXMQswCQYD
                  VQQGEwJESzELMAkGA1UECBMCTkoxEDAOBgNVBAcTB0FhbGJvcmcxEDAOBgNVBAoT
                  B1NlbHV4aXQxEDAOBgNVBAsTB1NlbHV4aXQxEjAQBgNVBAMTCXEtd290LmNvbTEQ
                  MA4GA1UEKRMHRWFzeVJTQTEfMB0GCSqGSIb3DQEJARYQY2VydEBzZWx1eGl0LmNv
                  bTAgFw0xNjEwMjAwODE0MzlaGA8yMTE2MDkyNjA4MTQzOVowgZcxCzAJBgNVBAYT
                  AkRLMQswCQYDVQQIEwJOSjEQMA4GA1UEBxMHQWFsYm9yZzEQMA4GA1UEChMHU2Vs
                  dXhpdDEQMA4GA1UECxMHU2VsdXhpdDESMBAGA1UEAxMJcS13b3QuY29tMRAwDgYD
                  VQQpEwdFYXN5UlNBMR8wHQYJKoZIhvcNAQkBFhBjZXJ0QHNlbHV4aXQuY29tMIIB
                  IjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAmN9Y+2gwX+zVfxE6sinwd/KT
                  /B634worwDVogkrzbIS3J4lXj19rrzCM+vw5oo1e/MYOZ5HMpiHGdvVzyy2CVWk5
                  qvjxoof6hxk+Ies96xTR8eODlKy2ZMwFTrV6PikIbSE/0QhMrZ6EhP4Ism6ME5do
                  XnLHgjWxufdEm2okNSM2Bhc4xSrI3ma1XQVRN/aR7JTLzctojSF4iIVhmDNtwqE+
                  vWbLgVLHSvyKJ8FRy4YZ28vmAVus3Yxuj9OadMvMktS5qfHU0CqA8+CCkhI15MCi
                  iw+rqMRHkLr5R4Cu0rt5pHHhsiMgAmS0aqeJLmVq8xoQRWtsFnYwK+r0JtGFEwID
                  AQABo4H/MIH8MB0GA1UdDgQWBBSrMEUGTyBPwuV1HCalSP2QYBrQSDCBzAYDVR0j
                  BIHEMIHBgBSrMEUGTyBPwuV1HCalSP2QYBrQSKGBnaSBmjCBlzELMAkGA1UEBhMC
                  REsxCzAJBgNVBAgTAk5KMRAwDgYDVQQHEwdBYWxib3JnMRAwDgYDVQQKEwdTZWx1
                  eGl0MRAwDgYDVQQLEwdTZWx1eGl0MRIwEAYDVQQDEwlxLXdvdC5jb20xEDAOBgNV
                  BCkTB0Vhc3lSU0ExHzAdBgkqhkiG9w0BCQEWEGNlcnRAc2VsdXhpdC5jb22CCQDi
                  WXdZFTZ28jAMBgNVHRMEBTADAQH/MA0GCSqGSIb3DQEBCwUAA4IBAQASJIPAGsTI
                  zIMJaWNjuxz8ZteBVMSRGuKJ4nVVxADckEL3auIC6hTuky8h+piiBzRFTK7DIhOr
                  NKz9j7SoSOsjslj1o1nrrrcaDM+gC7+k7I3C3EPNPUg+/hw6HLyPJJjF+piztF7d
                  mjfn3oO9q+9z6hH023dL9NCLAabkg4oSGZ0wtSUwZNL5UngnpfeO6r1NryBMhhGN
                  c3TyiAkNm5qAJvgbeLc2a/oenGQQMOwAYWb/G32LtzRDp8PBrBUnFsvvhm7JEJID
                  Aw3PhGXk4756uDV0cZkZYRa63LiwDkxUdmDZlKPCVBBvSt9OiQTLDESDqi2Zdw+t
                  gX6HCbPlTHrg
                  -----END CERTIFICATE-----
                certificate: |
                  -----BEGIN CERTIFICATE-----
                  MIIDsTCCApmgAwIBAgIJOkvQuQsOcy+xMA0GCSqGSIb3DQEBCwUAMIGXMQswCQYD
                  VQQGEwJESzELMAkGA1UECBMCTkoxEDAOBgNVBAcTB0FhbGJvcmcxEDAOBgNVBAoT
                  B1NlbHV4aXQxEDAOBgNVBAsTB1NlbHV4aXQxEjAQBgNVBAMTCXEtd290LmNvbTEQ
                  MA4GA1UEKRMHRWFzeVJTQTEfMB0GCSqGSIb3DQEJARYQY2VydEBzZWx1eGl0LmNv
                  bTAeFw0yMTAzMjMxMTQwNDRaFw0yNDAzMjMxMTQwNDRaMGUxLTArBgNVBAMMJGJk
                  ZmRhNjFiLTYwMmMtNDFkYy1iYjUyLWYwOWY5MjEyMGNmMjE0MDIGCgmSJomT8ixk
                  AQEMJDYxY2NjZjE2LTlmMjQtNDg1Ny04NWMwLTgxYmNlM2MyNmQwOTCCASIwDQYJ
                  KoZIhvcNAQEBBQADggEPADCCAQoCggEBAMBQVjxHcaqONdXITQ1AaXXCtzU1FZua
                  PYc2+a2HyF97paatYqc4ZHsX5LG+W1wOeAQTEqbNBd0HXNWVmqp9If25VXQyEhXa
                  2ZZ4P50YV55rcoKok6/wW/tnuPwUvPdtJU7UdUq4YRZSaPSlzNTyoNF3IOTd4gMH
                  s2khNBaBzpS7UZWk76oLIgy36qRMvST4ZZIGs21GmcaUAd2x6NnP3fU3aCkO9fjV
                  5muiCJZpcut/C6pObJ1Bh1Oqduk3yyRymA3u0nXDzdGJKCG/EQ19nsV54U1y6G9b
                  7nhcOxUp0oTS9TziYo1C2BQR5tY6fArQX3KVJzruQL8wqJMjwJAxqrcCAwEAAaMx
                  MC8wDgYDVR0PAQH/BAQDAgeAMB0GA1UdDgQWBBTTJl5YjE0shU93SYAVrQCp8XeT
                  7TANBgkqhkiG9w0BAQsFAAOCAQEAO+l7qfhYDPvMRbcYfXISTweodJlILB4NmIn/
                  pCW8Z1QIRJVi9Gil/5BRxDGltixJ5APjmC6wkmc0wR0dLbGC5FhSpT6BtBn+WkJJ
                  LIeVI1SWZIwSfsSpOuD3LdqZFFDI6b72m3EAOKuFHj/bJsDMbJnGylBzx+RYqY0P
                  5vZtmrZbE2l+Ccz02umK/aRrYrfu6e769wOFIsEBiXGzDc7FGAkKKvlIKo9Ie5zV
                  t8yAFFN7Y5UtQTdq8UuX2JBEKCByOEyUeuGfNQ8XuvdYrqu/29xf+aqrf3ZC/gol
                  yz9MZALFXHHgD0IM0Jjyb82KLD2mxdcLDYfOgr1z5mQK1aabeA==
                  -----END CERTIFICATE-----
                private_key: |
                  -----BEGIN RSA PRIVATE KEY-----
                  MIIEpgIBAAKCAQEAwFBWPEdxqo411chNDUBpdcK3NTUVm5o9hzb5rYfIX3ulpq1i
                  pzhkexfksb5bXA54BBMSps0F3Qdc1ZWaqn0h/blVdDISFdrZlng/nRhXnmtygqiT
                  r/Bb+2e4/BS8920lTtR1SrhhFlJo9KXM1PKg0Xcg5N3iAwezaSE0FoHOlLtRlaTv
                  qgsiDLfqpEy9JPhlkgazbUaZxpQB3bHo2c/d9TdoKQ71+NXma6IIlmly638Lqk5s
                  nUGHU6p26TfLJHKYDe7SdcPN0YkoIb8RDX2exXnhTXLob1vueFw7FSnShNL1POJi
                  jULYFBHm1jp8CtBfcpUnOu5AvzCokyPAkDGqtwIDAQABAoIBAQCj2A4QXyH1GCG/
                  mF4lCxqOTK0/9JELN7Zx66F+eW96AeMYhSHGq+HXiXy6/h3h6SXQ+trqJ0R2kh5C
                  janu1JtQCkVGsJ395q14Z8xyr9l+S7aMoMjqnVIQd8b/ZT+1YVTmu1WOqlV06hMn
                  U9aWGnxu2Rq6QlubD0WILNSu1DrHNPHNJRAh2JyLydIWgHjp9fMmcliO8QMjIiB4
                  XddydswjzonzHuCLXQq1b311GIQXwYfudYNB1wESMrK5j2wXnTY/pp6yTQX4xZq9
                  gU1OFM8lKS80Ey4hyMLvqerhEhA/VUr490V+oxgS0Y0ILO6MqdnQRLukc4x8xxp/
                  Y3m5In2BAoGBAOQYQbpeGnlaa0YE43O/8JqHKd5Nkqivs8Bk/vl1lEgrYXNfhBLU
                  x+55s6laAqjKbQSZJInDiV7cvK9hcsA1Z6c8120W+Hfqe669eTUmCMaHg8+hstHZ
                  R/VOX5ImhfdQEqs93AJV+mekq/ByWALbhvO9Ex97u0bnsVkvPjBUwcV3AoGBANfX
                  czjcC7xeXadbwgkSEQ3gEIXolt5JLkQEuLaHGZ8oQmspqqKJt+GkR5vxQlRLh1bZ
                  fvAi0NpayZv0M+rSGLzGFWQJU+a5LFCRIIwyo8QSsjuzKGiKy4OkFHZfxztxLG2Q
                  oK4ILLOfi+PGzgtNz70nwerNIu77sCb2au8kZZTBAoGBAJvQWi4WlJ0rgDZfpoTu
                  rEzTYm2CrlnfVLpsA6WjhXzbbYGj0RQQGNe2eV2JqGFnjptihgw58ABGZ/qiZgIZ
                  OUqMDFlwJKG+I2lV85Oz/LCp6AgRXJdvh3FybWToPgGYyHgEFOPfmePtIKtrYOXq
                  0sBz+7k5C9C++26CEEhxzcC3AoGBAKpW7Sb9egGSE6VFpA9Wg8EIiOG1WoNZC7tA
                  YqoiWtUhh7Fc875Mo6Le7GikcS1nYgrnoOdRArSgm6WJhwOWBVHNngoR1nYqw09e
                  CWq7eEUAYEr/LC+9AboFXuTA19IQkfhyAGz4JJcpndQIDIodQYpNexucAyrJ1Q4a
                  wO+0MLrBAoGBAMbFWznrnNYEIXRSlqHrUpjlZ0cXUFvVjs3geuX+zB6A30EfJl/v
                  glFAv+FmjLxk8HD076u9N6qeQVxN0UZYhG4a/ojwovTOLVehHlOFXaUpEJnH8SbE
                  KUCdUcGwa1PVcXjqq1LP+FrV/mbHQTVkKvOZZMMItlsV63D+e0tok5qU
                  -----END RSA PRIVATE KEY-----
                network:
                  id: bdfda61b-602c-41dc-bb52-f09f92120cf2
                  status: pending
                manufacturer_as_owner: false
                factory_reset:
                  reset_manufacturer: false
                  reset_owner: true
                test_mode: false
                bound: false
                meta:
                  id: 61cccf16-9f24-4857-85c0-81bce3c26d09
                  type: creator
                  version: '2.1'
    delete:
      tags:
      - Creator
      summary: Delete an creator by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Deletelist"
              example:
                deleted:
                - a2f0cc3b-62f6-475e-b479-b7b6aa87fa75
                code: 105000003
                message: Deleted
                internal_code: documentstore_deleted
                meta:
                  type: deletelist
                  version: '2.1'
  "/prototype":
    post:
      tags:
      - Prototype
      summary: Fetch request of prototype
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Prototype"
            example:
              filter:
                id:
                - 0f7a13f3-7f57-41a3-9112-b20f9547a2fb
                - 7f6fa267-0de8-4fd3-9b54-b3fd45e8eb6f
              return: "{ prototype {meta {id}}}"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Fetch"
              example:
                meta:
                  type: fetch
                  version: '2.0'
                data:
                  prototype:
                  - meta:
                      id: 0f7a13f3-7f57-41a3-9112-b20f9547a2fb
                  - meta:
                      id: 7f6fa267-0de8-4fd3-9b54-b3fd45e8eb6f
    get:
      tags:
      - Prototype
      summary: Retrieve list of prototype
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Idlist"
              example:
                child:
                - type: prototype
                  version: '2.1'
                id:
                - 0f7a13f3-7f57-41a3-9112-b20f9547a2fb
                - 7f6fa267-0de8-4fd3-9b54-b3fd45e8eb6f
                - eac41986-101b-4c64-a626-7313c84edd32
                - 2f553c1e-1fa8-495a-8f34-aed0a0adb352
                more: false
                limit: 1000
                count: 4
                meta:
                  type: idlist
                  version: '2.1'
    head:
      tags:
      - Prototype
      summary: Check if list of prototype is retrievable
      parameters: []
      responses:
        '200':
          description: OK
    patch:
      tags:
      - Prototype
      summary: Update multiple prototypes
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Prototype"
            example:
              name: Second Prototype
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Prototype"
              example:
              - model_id: 93fa23fb-3285-4a98-908f-5ee7f8241140
                name: Second Prototype
                meta:
                  id: 0f7a13f3-7f57-41a3-9112-b20f9547a2fb
                  type: prototype
                  version: '2.1'
              - model_id: 93fa23fb-3285-4a98-908f-5ee7f8241140
                name: Second Prototype
                meta:
                  id: 7f6fa267-0de8-4fd3-9b54-b3fd45e8eb6f
                  type: prototype
                  version: '2.1'
    delete:
      tags:
      - Prototype
      summary: Delete all prototype
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Deletelist"
              example:
                deleted:
                - 7f6fa267-0de8-4fd3-9b54-b3fd45e8eb6f
                - eac41986-101b-4c64-a626-7313c84edd32
                - 2f553c1e-1fa8-495a-8f34-aed0a0adb352
                code: 105000004
                message: Cleared
                internal_code: documentstore_cleared
                meta:
                  type: deletelist
                  version: '2.1'
  "/prototype/:id":
    get:
      tags:
      - Prototype
      summary: Retrieve prototype by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Prototype"
              example:
                model_id: 93fa23fb-3285-4a98-908f-5ee7f8241140
                name: First Prototype
                meta:
                  id: 0f7a13f3-7f57-41a3-9112-b20f9547a2fb
                  type: prototype
                  version: '2.1'
    head:
      tags:
      - Prototype
      summary: Check if prototype by ID is retrievable
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
    post:
      tags:
      - Prototype
      summary: Accept shared prototype
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Prototype"
            example: {}
      responses:
        '201':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Prototype"
              example:
                model_id: fff91ea5-1d5b-4b2e-ab4a-d3f020940bf0
                meta:
                  id: 7c155d72-6b65-4d8d-ad3e-f2daeaea39ac
                  type: prototype
                  version: '2.1'
    patch:
      tags:
      - Prototype
      summary: Update an prototype by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Prototype"
            example:
              name: New Prototype
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Prototype"
              example:
                model_id: 93fa23fb-3285-4a98-908f-5ee7f8241140
                name: New Prototype
                meta:
                  id: 0f7a13f3-7f57-41a3-9112-b20f9547a2fb
                  type: prototype
                  version: '2.1'
    put:
      tags:
      - Prototype
      summary: Replace an prototype by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Prototype"
            example:
              name: Third Prototype
              model_id: 93fa23fb-3285-4a98-908f-5ee7f8241140
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Prototype"
              example:
                model_id: 93fa23fb-3285-4a98-908f-5ee7f8241140
                name: Third Prototype
                meta:
                  id: 0f7a13f3-7f57-41a3-9112-b20f9547a2fb
                  type: prototype
                  version: '2.1'
    delete:
      tags:
      - Prototype
      summary: Delete an prototype by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Deletelist"
              example:
                deleted:
                - 0f7a13f3-7f57-41a3-9112-b20f9547a2fb
                code: 105000003
                message: Deleted
                internal_code: documentstore_deleted
                meta:
                  type: deletelist
                  version: '2.1'
